Subject: bug#2739: diff-mode should highlight "diff:" messages

From: Andreas Schwab <[email-masked]>
Date: Fri, 21 Aug 2020 17:35:49 +0200

On Aug 21 2020, 積丹尼 Dan Jacobson wrote:

>>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
>>> And in the modeline something should indicate an error.
>
> LI> Hm...  diff-mode doesn't mess around with the mode line normally, so I
> LI> think that would be surprising.  I think the red error lines is
> LI> sufficient here.
>
> I was just thinking it could be like
> (compile "false")
>
> So there would be three states, no differences, found differences, and errors.

diff-mode is about highlighting the contents of a buffer, not about
producing it.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."